#include <SoftwareSerial.h>

// egyik portunk: TX = digitális 10, RX = digitális 11 csatornákon
SoftwareSerial portOne(10, 11);

// másik portunk: TX = digitális 8, RX = digitális 9 csatornákon
SoftwareSerial portTwo(8, 9);

void setup()
{
  // nyissuk meg a hardware-es soros portot
  Serial.begin(9600);

  // nyissuk meg a szoftveres portokat is
  portOne.begin(9600);
  portTwo.begin(9600);

}

void loop()
{

  // az első szoftveres port olvashat
  portOne.listen();

  if (portOne.isListening()) { // ha az első olvashat
    Serial.println("Az első port aktív!"); 
  }
  else{ // ha nem olvashat
    Serial.println("Az első port nem aktív!"); 
  }

  if (portTwo.isListening()) { // ha a második olvashat
    Serial.println("A második port aktív!"); 
  }
  else{ // ha nem olvashat
    Serial.println("A második port nem aktív!"); 
  }

}

